#!/bin/sh
#
# Wenn der Arbeitsspeicher knapp ist, kann das helfen:
# java -Xms128M -Xmx1G -jar ./P2Radio.jar "$@"


dir=$(dirname $(readlink -f "$0"))
cd "$dir"

p2radio="./P2Radio.jar"
einstellungen="./Einstellungen"

if [ -f ../P2Radio.jar ]; then
	cd ..
fi

echo
echo ============================================
echo Programmverzeichnis: $PWD
echo Programmdatei: $p2radio
echo Einstellungen: $einstellungen
echo ============================================
echo

if [ -n "$JAVA_HOME" ]; then
  $JAVA_HOME/bin/java -jar $p2radio $einstellungen "$@"
else
  java -jar $p2radio $einstellungen "$@"
fi
